<?php
/*---------------------------------------------\
|                                               |
| @Author:       Andrey Brykin (Drunya)        |
| @Version:      1.1                           |
| @Project:      CMS                           |
| @package       CMS Fapos                     |
| @subpackege    ForumCat Entity               |
| @copyright     ©Andrey Brykin 2010-2013      |
| @last mod      2013/04/03                    |
|----------------------------------------------|
|                                               |
| any partial or not partial extension         |
| CMS Fapos,without the consent of the         |
| author, is illegal                           |
|----------------------------------------------|
| Любое распространение                        |
| CMS Fapos или ее частей,                     |
| без согласия автора, является не законным    |
\---------------------------------------------*/



/**
 *
 */
class ForumCatEntity extends FpsEntity
{

    protected $id;
    protected $title;
    protected $previev_id;




    public function save()
    {
        $params = array(
            'title' => $this->title,
            'previev_id ' => intval($this->preview_id),
        );
        if ($this->id) $params['id'] = $this->id;
        $Register = Register::getInstance();
        return (getDB()->save('forum_cat', $params));
    }



    public function delete()
    {
        $Register = Register::getInstance();
        getDB()->delete('forum_cat', array('id' => $this->id));
    }


    public function __getAPI() {


        if (
            !Register::getClass('ACL')->turnUser(array('forum', 'view_forums_list'))
        )
            return array();

        return array(
            'id' => $this->id,
            'title' => $this->title,
            'previev_id ' => $this->preview_id,
        );
    }

}