<?php
/**
* @project    Atom-M CMS
* @package    Setting rating
* @url        http://atom-m.net
*/


include_once R.'admin/inc/adm_boot.php';


if (isset($_POST['send'])) {
    $errors = array();
    //Проводим валидациюданных
    for ($i = 0; $i < 11; $i++) {
        if (empty($_POST['rat'.$i]) || strlen($_POST['rat'.$i]) < 1) $errors['rat'.$i] = __('Very short value');
        if ($i > 0) {
            if (empty($_POST['cond'.$i]) || strlen($_POST['cond'.$i]) < 1) $errors['cond'.$i] = __('Very short value');
            elseif (!is_numeric($_POST['cond'.$i])) $errors['cond'.$i] = __('Value must be numeric');
        }
    }

    if (empty($errors)) {
        $TempSet['rat0'] = $_POST['rat0'];
        $TempSet['cond1'] = $_POST['cond1'];
        $TempSet['rat1'] = $_POST['rat1'];
        $TempSet['cond2'] = $_POST['cond2'];
        $TempSet['rat2'] = $_POST['rat2'];
        $TempSet['cond3'] = $_POST['cond3'];
        $TempSet['rat3'] = $_POST['rat3'];
        $TempSet['cond4'] = $_POST['cond4'];
        $TempSet['rat4'] = $_POST['rat4'];
        $TempSet['cond5'] = $_POST['cond5'];
        $TempSet['rat5'] = $_POST['rat5'];
        $TempSet['cond6'] = $_POST['cond6'];
        $TempSet['rat6'] = $_POST['rat6'];
        $TempSet['cond7'] = $_POST['cond7'];
        $TempSet['rat7'] = $_POST['rat7'];
        $TempSet['cond8'] = $_POST['cond8'];
        $TempSet['rat8'] = $_POST['rat8'];
        $TempSet['cond9'] = $_POST['cond9'];
        $TempSet['rat9'] = $_POST['rat9'];
        $TempSet['cond10'] = $_POST['cond10'];
        $TempSet['rat10'] = $_POST['rat10'];

        $cfg = Config::read('all', 'users');
        $cfg['stars'] = $TempSet;
        Config::write($cfg, 'users');

        redirect("/admin/users/rating.php");
    }

}





$pageTitle = __('Users rank');
$pageNav = $pageTitle;
$pageNavl = '';
include_once R.'admin/template/header.php';
$result = $params = Config::read('users.stars');
?>




<form method="POST" action="rating.php">
<div class="list">
    <div class="title"><?php echo __('Users rank') ?></div>
    <div class="level1">
        <div class="head">
            <div class="title settings"><?php echo __('number') ?></div>
            <div class="title-r"><?php echo __('Messages cnt') . ' / ' . __('Rank') ?></div>
            <div class="clear"></div>
        </div>
        <div class="items">
            <div class="setting-item">
                <div class="left">
                    <?php echo __('Not rank') ?>
                    <span class="comment"><?php echo __('Not rank info') ?></span>
                </div>
                <div class="right">
                    <input type="text" name="rat0" value="<?php echo (!empty($result['rat0'])) ? $result['rat0'] : ''; ?>">
                    <?php echo (!empty($errors['rat0'])) ? '<br /><span class="error">'.$errors['rat0'].'</span>' : ''; ?>
                </div>
                <div class="clear"></div>
            </div>


            <?php for ($i = 1; $i < 11; $i++): ?>
            <div class="setting-item">
                <div class="left">
                    <?php echo __('Rank №').' '.$i; ?>
                </div>
                <div class="right">
                    <input type="text" name="cond<?php echo $i ?>" value="<?php echo (!empty($result['cond'.$i])) ? intval($result['cond'.$i]) : 10*$i; ?>">&nbsp;<span class="help"><?php echo __('Messages cnt') ?></span><br /><br />
                    <?php echo (!empty($errors['cond'.$i])) ? '<br /><span class="error">'.$errors['cond'.$i].'</span>' : ''; ?>
                    <input type="text" name="rat<?php echo $i ?>" value="<?php echo (!empty($result['rat'.$i])) ? h($result['rat'.$i]) : ''; ?>">&nbsp;<span class="help"><?php echo __('Rank') ?></span><br />
                    <?php echo (!empty($errors['rat'.$i])) ? '<br /><span class="error">'.$errors['rat'.$i].'</span>' : ''; ?>
                </div>
                <div class="clear"></div>
            </div>
            <?php endfor ?>


            <div class="setting-item">
                <div class="left"></div>
                <div class="right">
                    <input class="save-button" type="submit" name="send" value="<?php echo __('Save') ?>" />
                </div>
                <div class="clear"></div>
            </div>
        </div>
    </div>
</div>
</form>



<?php
include_once R.'admin/template/footer.php';
?>