<?php
/**
* @project    Atom-M CMS
* @package    Geting user rating function
* @url        http://atom-m.net
*/



/**
* @param int posts
*/

function getUserRating($posts) {

    if (!is_numeric($posts)) return array('rank' => '', 'img' => 'star0.gif');

    $params = Config::read('users.stars');
    if (!is_array($params)) return array('rank' => '', 'img' => 'star0.gif');

    if ( $posts < $params['cond1'] ) {
        $rank = $params['rat0'];
        $img = 'star0.png';
    } else if ( $posts >= $params['cond1'] and $posts < $params['cond2'] ) {
        $img = 'star1.png';
        $rank = $params['rat1'];
    } else if ( $posts >= $params['cond2'] and $posts < $params['cond3'] ) {
        $img = 'star2.png';
        $rank = $params['rat2'];
    } else if ( $posts >= $params['cond3'] and $posts < $params['cond4'] ) {
        $img = 'star3.png';
        $rank = $params['rat3'];
    } else if ( $posts >= $params['cond4'] and $posts < $params['cond5'] ) {
        $img = 'star4.png';
        $rank = $params['rat4'];
    } else if ( $posts >= $params['cond5'] and $posts < $params['cond6'] ) {
        $img = 'star5.png';
        $rank = $params['rat5'];
    } else if ( $posts >= $params['cond6'] and $posts < $params['cond7'] ) {
        $img = 'star6.png';
        $rank = $params['rat6'];
    } else if ( $posts >= $params['cond7'] and $posts < $params['cond8'] ) {
        $img = 'star7.png';
        $rank = $params['rat7'];
    } else if ( $posts >= $params['cond8'] and $posts < $params['cond9'] ) {
        $img = 'star8.png';
        $rank = $params['rat8'];
    } else if ( $posts >= $params['cond9'] and $posts < $params['cond10'] ) {
        $img = 'star9.png';
        $rank = $params['rat9'];
    } else {
        $img = 'star10.png';
        $rank = $params['rat10'];
    }
    $result = array('rank' => $rank,
                    'img' => $img);

    return $result;
}

function getUserRatingImg($posts) {
    $info = getUserRating($posts);
    return (isset($info['img']) ? $info['img'] : 'star0.gif');
}

function getUserRatingText($posts) {
    $info = getUserRating($posts);
    return (isset($info['rank']) ? $info['rank'] : '');
}

?>